GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/m32r-linux-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "gdbcore.h"`
`#include "regcache.h"`
`#include "linux-nat.h"`
`#include "target.h"`
`#include "nat/gdb_ptrace.h"`
`#include <sys/user.h>`
`#include <sys/procfs.h>`
`#include "inf-ptrace.h"`
`#include "gregset.h"`
`#include "m32r-tdep.h"`

Go to the source code of this file.

## Macros
#define | M32R_LINUX_NUM_REGS (M32R_NUM_REGS - 1)
#define | PSW_REGMAP 19
#define | BBPSW_REGMAP 21
#define | SPU_REGMAP 23
#define | SPI_REGMAP 26
#define | GETREGS_SUPPLIES(regno)

## Functions
void | supply_gregset (struct regcache *regcache, const elf_gregset_t *gregsetp)
static void | fetch_regs (struct regcache *regcache, int tid)
void | fill_gregset (const struct regcache *regcache, elf_gregset_t *gregsetp, int regno)
static void | store_regs (const struct regcache *regcache, int tid, int regno)
void | supply_fpregset (struct regcache *regcache, const gdb_fpregset_t *fpregs)
void | fill_fpregset (const struct regcache *regcache, gdb_fpregset_t *fpregs, int regno)
static void | m32r_linux_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
static void | m32r_linux_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
void | _initialize_m32r_linux_nat (void)

## Variables
static int | regmap []

## Macro Definition Documentation

## ◆ BBPSW_REGMAP

#define BBPSW_REGMAP 21

Definition at line 52 of file m32r-linux-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## ◆ GETREGS_SUPPLIES

#define GETREGS_SUPPLIES | ( |  | regno | ) |

Value:
(0 <= (regno) \
&& (regno) <= M32R_LINUX_NUM_REGS)
M32R_LINUX_NUM_REGS
#define M32R_LINUX_NUM_REGS
Definition: m32r-linux-nat.c:41

Definition at line 57 of file m32r-linux-nat.c.

Referenced by m32r_linux_fetch_inferior_registers(), and m32r_linux_store_inferior_registers().

## ◆ M32R_LINUX_NUM_REGS

#define M32R_LINUX_NUM_REGS (M32R_NUM_REGS - 1)

Definition at line 41 of file m32r-linux-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## ◆ PSW_REGMAP

#define PSW_REGMAP 19

Definition at line 51 of file m32r-linux-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## ◆ SPI_REGMAP

#define SPI_REGMAP 26

Definition at line 54 of file m32r-linux-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## ◆ SPU_REGMAP

#define SPU_REGMAP 23

Definition at line 53 of file m32r-linux-nat.c.

Referenced by fill_gregset(), and supply_gregset().

## Function Documentation

## ◆ _initialize_m32r_linux_nat()

void _initialize_m32r_linux_nat | ( | void |  | ) |

Definition at line 235 of file m32r-linux-nat.c.

References linux_nat_add_target(), linux_target(), m32r_linux_fetch_inferior_registers(), m32r_linux_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ fetch_regs()

static void fetch_regs | ( | struct regcache * | regcache,
|  | int | tid
| ) |  |
| static

Definition at line 108 of file m32r-linux-nat.c.

References _, perror_with_name(), ptrace(), PTRACE_GETREGS, gdbarch_tdep::regs, supply_gregset(), and selftests::ptid::tid.

Referenced by m32r_linux_fetch_inferior_registers().

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | gdb_fpregset_t * | fpregs,
|  | int | regno
| ) |  |

Definition at line 181 of file m32r-linux-nat.c.

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | elf_gregset_t * | gregsetp,
|  | int | regno
| ) |  |

Definition at line 123 of file m32r-linux-nat.c.

References BBPSW_REGMAP, CBR_REGNUM, M32R_LINUX_NUM_REGS, M32R_SP_REGNUM, PSW_REGMAP, PSW_REGNUM, regcache_raw_collect(), regmap, SPI_REGMAP, SPI_REGNUM, SPU_REGMAP, and SPU_REGNUM.

Referenced by store_regs().

## ◆ m32r_linux_fetch_inferior_registers()

static void m32r_linux_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 195 of file m32r-linux-nat.c.

References _, fetch_regs(), get_ptrace_pid(), GETREGS_SUPPLIES, internal_error(), regcache_get_ptid(), and selftests::ptid::tid.

Referenced by _initialize_m32r_linux_nat().

## ◆ m32r_linux_store_inferior_registers()

static void m32r_linux_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 217 of file m32r-linux-nat.c.

References _, get_ptrace_pid(), GETREGS_SUPPLIES, internal_error(), regcache_get_ptid(), store_regs(), and selftests::ptid::tid.

Referenced by _initialize_m32r_linux_nat().

## ◆ store_regs()

static void store_regs | ( | const struct regcache * | regcache,
|  | int | tid,
|  | int | regno
| ) |  |
| static

Definition at line 157 of file m32r-linux-nat.c.

References _, fill_gregset(), perror_with_name(), ptrace(), PTRACE_GETREGS, PTRACE_SETREGS, gdbarch_tdep::regs, and selftests::ptid::tid.

Referenced by m32r_linux_store_inferior_registers().

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const gdb_fpregset_t * | fpregs
| ) |  |

Definition at line 176 of file m32r-linux-nat.c.

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const elf_gregset_t * | gregsetp
| ) |  |

Definition at line 69 of file m32r-linux-nat.c.

References BBPSW_REGMAP, CBR_REGNUM, M32R_LINUX_NUM_REGS, M32R_SP_REGNUM, PSW_REGMAP, PSW_REGNUM, regcache_raw_supply(), regmap, SPI_REGMAP, and SPU_REGMAP.

Referenced by fetch_regs().

## Variable Documentation

## ◆ regmap

int regmap[]
| static

Initial value:
= {
4, 5, 6, 7, 0, 1, 2, 8,
9, 10, 11, 12, 13, 24, 25, 23,
19, 19, 26, 23, 22, 20, 16, 15
}

Definition at line 45 of file m32r-linux-nat.c.

Referenced by alphanbsd_aout_supply_gregset(), fill_gregset(), sh_corefile_collect_regset(), sh_corefile_supply_regset(), supply_gregset(), and xtensa_find_register_by_name().